#include "dcdialog.ch"
#INCLUDE "dctree.CH"
#INCLUDE "appevent.CH"
#INCLUDE "TEST.CH"
#include "XCodejock.ch"
#include "Calendar.ch"

#DEFINE COLOR_BLACK                 GraMakeRGBColor( {   0,   0,   0 } )
#DEFINE COLOR_GREEN                 GraMakeRGBColor( {   0, 255,   0 } )
#DEFINE COLOR_BLUE                  GraMakeRGBColor( {   0,   0, 255 } )
#DEFINE COLOR_WHITE                 GraMakeRGBColor( { 255, 255, 255 } )
#DEFINE COLOR_BROWN                 GraMakeRGBColor( { 127, 127,   0 } )
#DEFINE COLOR_BUTTONS_FG            GraMakeRGBColor( {   0,   0,   0 } )
#DEFINE COLOR_BUTTONS_BG            GraMakeRGBColor( { 165, 195, 243 } )
#DEFINE COLOR_SPLITBAR              GraMakeRGBColor( {  78, 113, 255 } )
#DEFINE COLOR_BUTTONS_FG_MOUSEOVER  GraMakeRGBColor( {   0,   0,   0 } )
#DEFINE COLOR_BUTTONS_BG_MOUSEOVER  GraMakeRGBColor( { 248, 186, 104 } )
#DEFINE COLOR_TITLE_FG              GraMakeRGBColor( { 255, 255, 255 } )
#DEFINE COLOR_TITLE_BG              GraMakeRGBColor( {  78, 113, 255 } )
#DEFINE COLOR_TOGGLE_OUTLOOK_FG     GraMakeRGBColor( {   0,   0,   0 } )
#DEFINE COLOR_TOGGLE_OUTLOOK_BG     GraMakeRGBColor( { 248, 186, 104 } )
#DEFINE COLOR_BRW_HILITE            GraMakeRGBColor( { 255, 204, 153 } )

#Pragma Library("XCodeJock.lib")

*#define CODEJOCKCAL .T.

static firmlogo, jahrlz, version, shellParam
****************************************************************************
FUNCTION Main()
LOCAL aButtons, oDlg, nEvent, oXbp, mp1, mp2
local area:=dc_GetWorkArea()
local aSizeDesktop:=AppDesktop():currentSize()

firmlogo:=".\firmlogo.gif"
jahrlz:="2012"
version:="1.91.050"
ShellParam:='START0010022012Ciriack'

DC_IconDefault(ICON_FVW)
set date german
CJ_Version("13.0.0")

aButtons := { ;
   { 'Stammdaten', {|| RunShell(ShellParam, "stammdat.exe", .T.)}, "stammdat.exe", BT_STAMMDAT }, ;
   { 'Handel', {|| RunShell(ShellParam, "verkauf.exe", .T.)}, "verkauf.exe", BT_VERKAUF }, ;
   { 'Rechnungen', {|| RunShell(ShellParam, "rechnung.exe", .T.)}, "rechnung.exe", BT_RECHNUNG }, ;
   { 'Kommunikation', {|| RunShell(ShellParam, "texte.exe", .T.)}, "texte.exe", BT_TEXTE }, ;
   { 'Auswertungen', {|| RunShell(ShellParam, "auswert.exe", .T.)}, "auswert.exe", BT_AUSWERT }, ;
   { 'Fahrauftrge', {|| RunShell(ShellParam, "auftrag.exe", .T.)}, "auftrag.exe", BT_AUFTRAG }, ;
   { 'Waageprogramm',{|| RunShell(ShellParam, "waage.exe", .T.)}, "waage.exe", BT_WAAGE }, ;
   { 'Torenverwaltung', {|| RunShell(ShellParam, "touren.exe", .T.)}, "touren.exe", BT_TOUREN } }

oDlg := DC_XbpDialog1():new(,,{0,aSizeDesktop[2]-area[4]},{area[3],area[4]})
oDlg:title := 'Hauptprogramm'
oDlg:taskList := .t.
oDlg:icon:= ICON_FVW
oDlg:create()
oDlg:minSize:={1366,768}

BuildScreen( oDlg, aButtons)

DO WHILE nEvent # xbeP_Close
  nEvent := AppEvent( @mp1, @mp2, @oXbp, .1 )
  IF nEvent > 0
    oXbp:handleEvent(nEvent,mp1,mp2)
  ENDIF
ENDDO
RETURN nil
****************************************************************************
FUNCTION BuildScreen( oParent, aButtons )

LOCAL GetList[0], GetOptions, i, oStatic, oMenu1, oMenu2, oMenu4, ;
      oStatic2, oStatic3, oStatic4, oStatic5, oStatic6, oStatCal, oFirmBox, oFirmYear, oFWBox, oTeleBox, ;
      oSplitBar, oDrawingArea := oParent:drawingArea, w, ;
      aTermine:={{ctod("12.02.2012"),"Testeintrag 1","X"}, ;
                 {ctod("14.02.2012"),"Testeintrag 2"," "}}, ;
      aMeldungen:={{"Mitarbeiter Sowieso hat heute Geburtstag"}}

LOCAL aBrowPres := ;
  { { XBP_PP_COL_HA_FGCLR, GRA_CLR_WHITE },            /* Header FG Color  */  ;
    { XBP_PP_COL_HA_BGCLR, COLOR_TITLE_BG },         /* Header BG Color  */  ;
    { XBP_PP_COL_DA_ROWSEPARATOR, XBPCOL_SEP_NONE }, /* Row Sep          */  ;
    { XBP_PP_COL_DA_COLSEPARATOR, XBPCOL_SEP_NONE }, /* Col Sep          */  ;
    { XBP_PP_COL_DA_FGCLR, GRA_CLR_BLACK },            /* Row FG Color     */  ;
    { XBP_PP_COL_DA_BGCLR, GRA_CLR_WHITE },                /* Row BG Color     */  ;
    { XBP_PP_COL_DA_ROWHEIGHT, 36 },                   /* Row Height       */  ;
    { XBP_PP_COL_HA_HEIGHT, 0 },                      /* Header Height    */  ;
    { XBP_PP_HILITE_FGCLR, GRA_CLR_BLACK },            /* Hilite FG color  */  ;
    { XBP_PP_HILITE_BGCLR, COLOR_BUTTONS_BG_MOUSEOVER },             /* Hilite BG color  */  ;
    { XBP_PP_COL_FA_FGCLR, GRA_CLR_WHITE },            /* Footer FG Color  */  ;
    { XBP_PP_COL_FA_BGCLR, GRA_CLR_DARKGRAY },         /* Footer BG Color  */  ;
    { XBP_PP_COL_FA_HEIGHT, 10 },                      /* Footer Height    */  ;
    { XBP_PP_COL_DA_CELLFRAMELAYOUT ,  2 },            /* Cell Frame Layout*/  ;
    { XBP_PP_COL_DA_COLSEPARATOR  ,    0 },            /* Column Separator */  ;
    { XBP_PP_COL_DA_FRAMELAYOUT  ,     0 },             /* Frame Layout     */  ;
    { XBP_PP_COL_DA_HILITEFRAMELAYOUT, 0 } }
LOCAL oBrowse, oBrowseM

DC_BitmapTransparentColor( { 191, 191, 191 } )

DC_BrowseSort( { GRA_CLR_BLACK, ;
                 COLOR_TITLE_BG, ;
                 GRA_CLR_WHITE, ;
                 COLOR_TITLE_BG, ;
                 NIL, ;
                 NIL, ;
                 GRA_CLR_WHITE, ;
                 COLOR_TITLE_BG })

** Buttons links
DCSUBMENU oMenu1 PROMPT 'Grunddaten' OWNERDRAW BARCOLOR nil,COLOR_BUTTONS_BG_MOUSEOVER
  DCMENUITEM 'Allgemein' PARENT oMenu1 ACTION {|| DC_WinAlert("Grunddaten allg.") }
  DCMENUITEM SEPARATOR PARENT oMenu1
  DCMENUITEM 'Lokal' PARENT oMenu1 ACTION {|| DC_WinAlert("Grunddaten lokal") }
  DCMENUITEM 'FVWMobil' PARENT oMenu1 ACTION {|| DC_WinAlert("Grunddaten mobil") }
  DCMENUITEM SEPARATOR PARENT oMenu1
  DCMENUITEM 'Vergebene Nummern' PARENT oMenu1 ACTION {|| DC_WinAlert("Grunddaten Verg. Nummern") }
  DCMENUITEM 'Texte' PARENT oMenu1 ACTION {|| DC_WinAlert("Grunddaten Texte") }

@ 0,0 DCSTATIC TYPE XBPSTATIC_TYPE_TEXT OBJECT oStatic SIZE 360, oDrawingArea:currentSize()[2] ;
        RESIZE DCGUI_RESIZE_RESIZEONLY_Y COLOR nil, COLOR_BUTTONS_BG

@ 5,5 DCPUSHBUTTONXP SIZE 80,80 ;
            PIXEL ;
            CAPTION "Beenden" ;
            BITMAP TB_EXIT ALIGN XBPALIGN_TOP+XBPALIGN_HCENTER OFFSET 5 ;
            GRADIENT 1.1 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "8.Arial" ;
            ACTION {||PostAppEvent(xbeP_Close,,,oParent)} ;
            PARENT oStatic ;
            TOOLTIP "Bearbeiten Kontakt;<ENTER>" ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

@ 5,90 DCPUSHBUTTONXP SIZE 100,80 ;
            PIXEL ;
            CAPTION "Grunddaten" ;
            BITMAP TB_EINST ALIGN XBPALIGN_TOP+XBPALIGN_HCENTER OFFSET 5 ;
            GRADIENT 1.0 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "8.Arial" ;
            ACTION {|| DC_WinAlert("Grunddaten") } ;
            MENUACTION {|a,b,o|oMenu1:PopUp( o:setParent(), o:currentPos(), 2 , XBPMENU_PU_DEFAULT + XBPMENU_PU_MOUSE_RBDOWN  ) } ;
            PARENT oStatic ;
            TOOLTIP "Programmeinstellungen vornehmen" ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

@ 5,195 DCPUSHBUTTONXP SIZE 80,80 ;
            PIXEL ;
            CAPTION "Reorgani-;sation" ;
            BITMAP TB_REORG ALIGN XBPALIGN_TOP+XBPALIGN_HCENTER OFFSET 5 ;
            GRADIENT 1.1 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "8.Arial" ;
            ACTION {|| DC_WinAlert("Reorganisation") } ;
            ACCELKEY xbeK_DEL ;
            PARENT oStatic ;
            TOOLTIP "Daten reorganisieren" ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

@ 5,280 DCPUSHBUTTONXP SIZE 80,80 ;
            PIXEL ;
            CAPTION "Druck-;einstellungen" ;
            BITMAP TB_PRINT ALIGN XBPALIGN_TOP+XBPALIGN_HCENTER OFFSET 5 ;
            GRADIENT 1.1 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "8.Arial" ;
            ACTION {|| DC_WinAlert("Druckeinstellungen") } ;
            ACCELKEY xbeK_DEL ;
            PARENT oStatic ;
            TOOLTIP "Datensicherung" ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

*** Meldungen
@90,5 DCPUSHBUTTONXP STATIC ;
        CAPTION 'Meldungen' ;
        PARENT oStatic ;
        SIZE DCGUI_PARENTWIDTH - 10, 30 ;
        FONT '12.Arial Fett' ;
        COLOR COLOR_TITLE_FG, COLOR_TITLE_BG ;
        GRADIENT 2 ;
        RESIZE DCGUI_RESIZE_REPOSONLY_Y

@125,5 DCBROWSE oBrowseM ;
        DATA aMeldungen ;
        PARENT oStatic ;
        CURSORMODE XBPBRW_CURSOR_ROW ;
        USEVISUALSTYLE ;
        FONT '10.Arial' ;
        PRESENTATION aBrowPres ;
        ITEMSELECTED {|| nil } ;
        SIZE DCGUI_PARENTWIDTH - 10, oDrawingArea:currentSize()[2]/2 - 95 ;
        NOHORIZSCROLL ;
        RESIZE DCGUI_RESIZE_REPOSONLY_Y ;
        LOSTFOCUS {|| oBrowseM:DeHilite() }

DCBROWSECOL ELEMENT 1 HEADER "Meldung" WIDTH oDrawingArea:currentSize()[2]/2 - 95 PARENT oBrowseM ALIGN XBPALIGN_LEFT+XBPALIGN_VCENTER



@ oDrawingArea:currentSize()[2]/2 + 50,5 DCSTATIC TYPE XBPSTATIC_TYPE_TEXT ;
        SIZE DCGUI_PARENTWIDTH - 10, oDrawingArea:currentSize()[2]/2 - 80 ;
        OBJECT oStatic2 ;
        PARENT oStatic ;
        RESIZE DCGUI_RESIZE_RESIZEONLY_Y ;
        EVAL {|o|o:resize := {|a,b,o|ButtonBarResized(oStatic2,oStatic3)}}

@ oDrawingArea:currentSize()[2] - 35, 5 DCSTATIC TYPE XBPSTATIC_TYPE_TEXT ;
        OBJECT oStatic3 ;
        SIZE DCGUI_PARENTWIDTH-10, 30 ;
        PARENT oStatic

FOR i := 1 TO Len(aButtons)

  @ (i-1)*48, 0 DCPUSHBUTTONXP ;
        CAPTION aButtons[i,1] ;
        CARGO aButtons[i] ;
        GRADIENT 1.1 STYLE 2 ;
        COLOR nil,{255,255,255} ;
        MOUSECOLOR {0,0,0},{255,204,153} ;
        CLICKCOLOR 0,20158975 ;
        BORDERCOLOR {255,255,255} ;
        PARENT oStatic2 ;
        FONT '14.Arial Bold' ;
        SIZE DCGUI_PARENTWIDTH, 48 ;
        ACTION {|a,b,o|ButtonSelected(o)} ;
        RESIZE DCGUI_RESIZE_REPOSONLY_Y ;
        BITMAP aButtons[i,4] OFFSET 5 SCALE 0.6

  @ 3, (i-1)*28 DCPUSHBUTTONXP ;
        BITMAP aButtons[i,4] OFFSET 1 ;
        PARENT oStatic3 ;
        CARGO aButtons[i] ;
        GRADIENT 2 ;
        SIZE 26, 26 ;
        COLOR COLOR_BUTTONS_FG, COLOR_BUTTONS_BG ;
        MOUSECOLOR COLOR_BUTTONS_FG_MOUSEOVER, COLOR_BUTTONS_BG_MOUSEOVER ;
        FONT '10.Arial Bold' ;
        ACTION {|a,b,o|ButtonSelected(o)} ;
        TOOLTIP aButtons[i,1] ;
        MOUSESCALE 1.2

NEXT

*** Splitbar
@ oDrawingArea:currentSize()[2]/2 + 42,5 DCSPLITBAR oSplitBar ;
        SIZE DCGUI_PARENTWIDTH-10,6 ;
        PARENT oStatic ;
        ORIENTATION DCGUI_SPLITBAR_HORIZONTAL ;
        PREDECESSOR oStatic2 ;
        SUCCESSOR oBrowseM ;
        COLOR COLOR_SPLITBAR ;
        MOVECOLOR COLOR_SPLITBAR ;
        RESIZE DCGUI_RESIZE_REPOSONLY_Y

*** Buttons rechts
DCSUBMENU oMenu2 PROMPT 'DaSi' OWNERDRAW BARCOLOR nil,COLOR_BUTTONS_BG_MOUSEOVER
  DCMENUITEM 'Gesamtsicherung' PARENT oMenu2 ACTION {|| DC_WinAlert("Geamtsicherung") }
  DCMENUITEM SEPARATOR PARENT oMenu2
  DCMENUITEM 'Mandant allgemein' PARENT oMenu2 ACTION {|| DC_WinAlert("Sicherung Mandant") }
  DCMENUITEM 'Mandant speziell' PARENT oMenu2 ACTION {|| DC_WinAlert("Sicherung speziell") }

DCSUBMENU oMenu4 PROMPT 'Hilfe' OWNERDRAW BARCOLOR nil,COLOR_BUTTONS_BG_MOUSEOVER
  DCMENUITEM 'Allgemein' PARENT oMenu4 ACTION {|| DC_WinAlert("Hilfe allg.") }
  DCMENUITEM 'Letzte nderungen' PARENT oMenu4 ACTION {|| DC_WinAlert("Letzte nderungen") }
  DCMENUITEM SEPARATOR PARENT oMenu4
  DCMENUITEM 'Updateprfung' PARENT oMenu4 ACTION {|| DC_WinAlert("Update") }
  DCMENUITEM SEPARATOR PARENT oMenu4
  DCMENUITEM 'Fernwartung' PARENT oMenu4 ACTION {|| DC_WinAlert("Fernwartung") }
  DCMENUITEM SEPARATOR PARENT oMenu4
  DCMENUITEM 'ber..' PARENT oMenu4 ACTION {|| DC_WinAlert("ber") }

@ 0,oDrawingArea:currentSize()[1]-360 DCSTATIC TYPE XBPSTATIC_TYPE_TEXT OBJECT oStatic4 ;
        SIZE 360, oDrawingArea:currentSize()[2] ;
        RESIZE DCGUI_RESIZE_REPOSX_RESIZEY COLOR nil, COLOR_BUTTONS_BG

@ 5,0 DCPUSHBUTTONXP SIZE 80,80 ;
            PIXEL ;
            CAPTION "Mandanten;verwalten" ;
            BITMAP TB_MAND ALIGN XBPALIGN_TOP+XBPALIGN_HCENTER OFFSET 5 ;
            GRADIENT 1.1 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "8.Arial" ;
            ACTION {|| DC_WinAlert("Mandanten verwalten")} ;
            PARENT oStatic4 ;
            TOOLTIP "Mandanten " ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

@ 5,85 DCPUSHBUTTONXP SIZE 80,80 ;
            PIXEL ;
            CAPTION "Benutzer;verwalten" ;
            BITMAP TB_USER ALIGN XBPALIGN_TOP+XBPALIGN_HCENTER OFFSET 5 ;
            GRADIENT 1.1 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "8.Arial" ;
            ACTION {|| DC_WinAlert("Benutzer verwalten")} ;
            PARENT oStatic4 ;
            TOOLTIP "Benutzer" ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

@ 5,170 DCPUSHBUTTONXP SIZE 80,80 ;
            PIXEL ;
            CAPTION "Daten-;sicherung" ;
            BITMAP TB_DASI ALIGN XBPALIGN_TOP+XBPALIGN_HCENTER OFFSET 5 ;
            GRADIENT 1.1 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "8.Arial" ;
            ACTION {|| DC_WinAlert("Datensicherung gesamt")} ;
            MENUACTION {|a,b,o|oMenu2:PopUp( o:setParent(), o:currentPos(), 2 , XBPMENU_PU_DEFAULT + XBPMENU_PU_MOUSE_RBDOWN  ) } ;
            PARENT oStatic4 ;
            TOOLTIP "Datensicherung" ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

@ 5,255 DCPUSHBUTTONXP SIZE 100,80 ;
            PIXEL ;
            CAPTION "Hilfe" ;
            BITMAP TB_INFO ALIGN XBPALIGN_TOP+XBPALIGN_HCENTER OFFSET 5 ;
            GRADIENT 1.1 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "8.Arial" ;
            ACTION {|| DC_WinAlert("Hilfe allg.")} ;
            MENUACTION {|a,b,o|oMenu4:PopUp( o:setParent(), o:currentPos(), 2 , XBPMENU_PU_DEFAULT + XBPMENU_PU_MOUSE_RBDOWN  ) } ;
            ACCELKEY xbeK_F1 ;
            PARENT oStatic4 ;
            TOOLTIP "Hilfe" ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

*** Firmenlogo
@100,40 DCSTATIC TYPE XBPSTATIC_TYPE_RECESSEDBOX SIZE 280,280 PIXEL OBJECT oFirmBox PARENT oStatic4 RESIZE DCGUI_RESIZE_REPOSONLY_Y

@ 1,1 DCPUSHBUTTONXP SIZE 278,278 ;
            PIXEL ;
            BITMAP {|| firmlogo } ALIGN XBPALIGN_TOP+XBPALIGN_HCENTER OFFSET 1 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "8.Arial" ;
            ACTION {|| DC_WinAlert("Mandantenauswahl")} ;
            PARENT oFirmBox ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

@385,40 DCSTATIC TYPE XBPSTATIC_TYPE_RECESSEDBOX SIZE 280,80 PIXEL OBJECT oFirmYear PARENT oStatic4 RESIZE DCGUI_RESIZE_REPOSONLY_Y

@ 0,0 DCPUSHBUTTONXP SIZE 280,80 ;
            PIXEL ;
            CAPTION {|| jahrlz }  ;
            COLOR {|| iif(val(jahrlz)=year(date()), {GRA_CLR_BLACK,GRA_CLR_WHITE},{GRA_CLR_WHITE, GRA_CLR_RED}) } ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "50.Arial Fett" ;
            ACTION {|| DC_WinAlert("Jahreswahl")} ;
            PARENT oFirmYear ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

@500,40 DCSTATIC TYPE XBPSTATIC_TYPE_RECESSEDBOX SIZE 280,60 PIXEL OBJECT oFWBox PARENT oStatic4 RESIZE DCGUI_RESIZE_REPOSONLY_Y
@ 0,0 DCPUSHBUTTONXP SIZE 280,60 ;
            PIXEL ;
            BITMAP TB_FERNW OFFSET 10 SCALE 0.9 ;
            CAPTION "Fernwartung"  ;
            GRADIENT 1.1 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "12.Arial Fett" ;
            ACTION {|| DC_WinAlert("Fernwartung")} ;
            PARENT oFWBox ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

@580,40 DCSTATIC TYPE XBPSTATIC_TYPE_RECESSEDBOX SIZE 280,60 PIXEL OBJECT oTeleBox PARENT oStatic4 RESIZE DCGUI_RESIZE_REPOSONLY_Y
@ 0,0 DCPUSHBUTTONXP SIZE 280,60 ;
            PIXEL ;
            BITMAP TB_TELE OFFSET 10 SCALE 1.1 ;
            CAPTION "Telefonkontakt"  ;
            GRADIENT 1.1 STYLE 2 ;
            COLOR nil,{255,255,255} ;
            MOUSECOLOR {0,0,0},{255,204,153} ;
            CLICKCOLOR 0,20158975 ;
            BORDERCOLOR {255,255,255} ;
            FONT "12.Arial Fett" ;
            ACTION {|| DC_WinAlert("Telefon")} ;
            PARENT oTeleBox ;
            RESIZE DCGUI_RESIZE_REPOSONLY_Y

**** Mitte oben
@0,360 DCSTATIC TYPE XBPSTATIC_TYPE_TEXT OBJECT oStatic5 SIZE oDrawingArea:currentSize()[1]-2*360, 90 ;
       RESIZE DCGUI_RESIZE_REPOSY_RESIZEX ;
       COLOR nil, COLOR_BUTTONS_BG

@5,10 DCSAY "FVW - Firmenverwaltung" SAYSIZE DCGUI_PARENTWIDTH - 20,60 FONT "36.Arial Fett Kursiv" PARENT oStatic5 ;
     RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT PIXEL SAYCENTER ;
     COLOR COLOR_TITLE_FG, COLOR_BUTTONS_BG
@65,10 DCSAY "Version "+version SAYSIZE DCGUI_PARENTWIDTH - 20,80 FONT "12.Arial Fett Kusiv" PARENT oStatic5 ;
     RESIZE DCGUI_RESIZE_AUTORESIZE_SCALEFONT PIXEL SAYCENTER ;
     COLOR COLOR_TITLE_FG, COLOR_BUTTONS_BG


@90,360 DCSTATIC TYPE XBPSTATIC_TYPE_TEXT OBJECT oStatic6 SIZE oDrawingArea:currentSize()[1]-2*360, oDrawingArea:currentSize()[1]-90 ;
       RESIZE DCGUI_RESIZE_BOTH ;
       COLOR nil, COLOR_BUTTONS_BG

*** Termine
@0,5 DCPUSHBUTTONXP STATIC ;
        CAPTION 'Wichtige Termine' ;
        PARENT oStatic6 ;
        COLOR COLOR_TITLE_FG, COLOR_TITLE_BG ;
        SIZE DCGUI_PARENTWIDTH -10 , 30 ;
        FONT '12.Arial Fett' ;
        GRADIENT 2 ;
        RESIZE DCGUI_RESIZE_REPOSY_RESIZEX

@35,5 DCBROWSE oBrowse ;
        DATA aTermine ;
        PARENT oStatic6 ;
        CURSORMODE XBPBRW_CURSOR_ROW ;
        USEVISUALSTYLE ;
        FONT '10.Arial' ;
        PRESENTATION aBrowPres ;
        SIZE DCGUI_PARENTWIDTH -10, oDrawingArea:currentSize()[2]-360 ;
        NOHORIZSCROLL ;
        PIXEL ;
        LOSTFOCUS {|| oBrowse:DeHilite() } ;
        RESIZE DCGUI_RESIZE_BOTH ;

w:=oDrawingArea:currentSize()[1]-2*360 -10
DCBROWSECOL ELEMENT 1 HEADER "Datum" WIDTH 2*w/8 PARENT oBrowse ALIGN XBPALIGN_LEFT+XBPALIGN_VCENTER
DCBROWSECOL ELEMENT 2 HEADER "Aufgabe" WIDTH 5*w/8 PARENT oBrowse ALIGN XBPALIGN_LEFT+XBPALIGN_VCENTER
DCBROWSECOL ELEMENT 3 HEADER "Stat." WIDTH 1*w/8 PARENT oBrowse ALIGN XBPALIGN_HCENTER+XBPALIGN_VCENTER


***********
* ????????????
***********

#ifdef CODEJOCKCAL
@oDrawingArea:currentSize()[2]-320,5 CJMONTHCALENDAR oMonthCalendar ;
      SIZE DCGUI_PARENTWIDTH - 10,230 ;
      CLSID 'CodeJock.MonthCalendar' + CJ_Version() ;
      PARENT oStatic6 ;
      MONTHROWS 1 ;
      MONTHCOLUMNS 6 ;
      SHOWWEEKNUMBERS ;
      SHOWTODAY ;
      PIXEL ;
      RESIZE DCGUI_RESIZE_AUTORESIZE
#else
@oDrawingArea:currentSize()[2]-320,5 DCSTATIC TYPE XBPSTATIC_TYPE_TEXT OBJECT oStatCal SIZE DCGUI_PARENTWIDTH -10,230 ;
       PARENT oStatic6 ;
       RESIZE DCGUI_RESIZE_REPOSY_RESIZEX ;
       COLOR nil, GRA_CLR_RED

*      RESIZE DCGUI_RESIZE_REPOSONLY_Y ;
*      RESIZE DCGUI_RESIZE_AUTORESIZE ;
#endif



DCGETOPTIONS ;
   PIXEL ;
   FITPAD 0 ;
   RESIZE ;
   MINSIZE 1366,768


DCREAD GUI ;
   PARENT oDrawingArea ;
   TITLE 'FVW - Hauptprogramm' ;
   OPTIONS GetOptions ;
   EXIT ;
   SAVE

oParent:SetframeState(XBPDLG_FRAMESTAT_MAXIMIZED)
PostAppEvent(xbeP_Resize,,,oStatic2)

oParent:resize := {|a,b,o,x|x := SetAppFocus(), ;
                            DC_ReSize(a,b,o,GetList), ;
                            SetAppFocus(x), ;
                            o:invalidateRect(), ;
                            nil }

dc_getrefresh(Getlist)
oBrowseM:DeHilite()
oBrowse:DeHilite()
RETURN nil
****************************************************************************
PROC appsys ; RETURN
****************************************************************************
STATIC FUNCTION ButtonSelected( oButton )
LOCAL aItem

aItem := DC_GetCargo(oButton)
IF Valtype(aItem[2]) == 'B'
  if file(aItem[3])
     Eval(aItem[2])
  else
     DC_WinAlert( aItem[3]+" nicht vorhanden !")
  endif
ELSEIF Valtype(aItem[2]) == 'C'
  DC_SpawnUrl(aItem[2])
ENDIF
RETURN nil
****************************************************************************
STATIC FUNCTION ButtonBarResized( oStatic2, oStatic3 )
LOCAL aChildList2 := oStatic2:childList(), aChildList3 := oStatic3:childList(), ;
      i, oButton2, oButton3, nOffset := 0

oStatic2:lockUpdate(.t.)
oStatic3:lockUpdate(.t.)
FOR i := 1 TO Len(aChildList2)
  oButton2 := aChildList2[i]
  oButton3 := aChildList3[i]
  IF IsClipped(oButton2)
    oButton2:hide()
    oButton3:show()
    oButton3:setPos({nOffset,oButton3:currentPos()[2]})
    nOffset += 28
  ELSE
    oButton2:show()
    oButton3:hide()
  ENDIF
NEXT
oStatic2:lockUpdate(.f.)
oStatic3:lockUpdate(.f.)
oStatic2:invalidateRect()
oStatic3:invalidateRect()
RETURN nil
****************************************************************************
STATIC FUNCTION IsClipped( oXbp )
RETURN oXbp:currentPos()[2] < 0